Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.bindery
Class BinderyEnvironment

    java.lang.Object
      |
      +--com.novell.utility.naming.Environment
            |
            +--com.novell.service.bindery.BinderyEnvironment

public class BinderyEnvironment
extends Environment
implements java.lang.Cloneable, java.io.Serializable

Defines the set of constant Strings that uniquely controls the behavior of the Bindery name provider. It also contains convenience functions for managing the bindery objects.

The BinderyEnvironment class extends the Environment class, which provides constants for environment variables associated with Novell JNDI providers.

See Also:
  `Environment`

Field Summary
`static java.lang.String` | `BINDERY` The constant for the BinderyDirContext object.
`static java.lang.String` | `BINDERY_OBJECT` The constant for the BinderyObjectDirContext object.
`static java.lang.String` | `BINDERY_OBJECT_FACTORY` The constant for the BinderyObjectFactory object.
`static java.lang.String` | `BINDERY_PROPERTY` The constant for the BinderyPropertyAttrVal object.
`static java.lang.String` | `OBJECT_CLASS_DEF` The constant for the BinderyObjectClassDefContext object.
`static java.lang.String` | `QUEUE_BINDERY_OBJECT` The constant for the QueueBinderyObjectDirContext object.
`static java.lang.String` | `SCHEMA_CLASS_DEFS` The constant for the BinderyObjectClassDefContext object.
`static java.lang.String` | `SERVER_BINDERY_OBJECT` The constant for the ServerBinderyObjectDirContext object.
`static java.lang.String` | `TREE_BINDERY_OBJECT` The constant for the TreeBinderyObjectDirContext object.

Fields inherited from class com.novell.utility.naming.Environment
`AUTHORITATIVE, BATCHSIZE, DNS_URL, FS_INITIAL_CONTEXT_FACTORY, IIOP_PROTOCOL, INITIAL_CONTEXT_FACTORY, LANGUAGE, LDAP_PROTOCOL, NCP_PROTOCOL, NDS_INITIAL_CONTEXT_FACTORY, NW_INITIAL_CONTEXT_FACTORY, OBJECT_FACTORIES, PROVIDER_URL, QMS_INITIAL_CONTEXT_FACTORY, REFERRAL, RMI_PROTOCOL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, SERVER_INITIAL_CONTEXT_FACTORY, SESSION_MANAGER_OBJECT, SESSION_OBJECT, TRANSPORT_PROTOCOL, URL_PKG_PREFIXES`

Methods inherited from class com.novell.utility.naming.Environment
``

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINDERY

    public static final java.lang.String BINDERY

  The constant for the BinderyDirContext object.

  (BINDERY = "com.novell.service.bindery.BinderyDirContext")

### BINDERY_OBJECT

    public static final java.lang.String BINDERY_OBJECT

  The constant for the BinderyObjectDirContext object.

  (BINDERY_OBJECT = "com.novell.service.bindery.BinderyObjectDirContext")

### QUEUE_BINDERY_OBJECT

    public static final java.lang.String QUEUE_BINDERY_OBJECT

  The constant for the QueueBinderyObjectDirContext object.

  (QUEUE_BINDERY_OBJECT = "com.novell.service.bindery.QueueBinderyObjectDirContext")

### SERVER_BINDERY_OBJECT

    public static final java.lang.String SERVER_BINDERY_OBJECT

  The constant for the ServerBinderyObjectDirContext object.

  (SERVER_BINDERY_OBJECT = "com.novell.service.bindery.serverBinderyObjectDirContext")

### TREE_BINDERY_OBJECT

    public static final java.lang.String TREE_BINDERY_OBJECT

  The constant for the TreeBinderyObjectDirContext object.

  (TREE_BINDERY_OBJECT = "com.novell.service.bindery.treeBinderyObjectDirContext")

### BINDERY_OBJECT_FACTORY

    public static final java.lang.String BINDERY_OBJECT_FACTORY

  The constant for the BinderyObjectFactory object.

  (BINDERY_OBJECT_FACTORY = "com.novell.service.bindery.BinderyObjectFactory")

### OBJECT_CLASS_DEF

    public static final java.lang.String OBJECT_CLASS_DEF

  The constant for the BinderyObjectClassDefContext object.

  (OBJECT_CLASS_DEF = "com.novell.service.bindery.BinderyObjectClassDefContext")

### SCHEMA_CLASS_DEFS

    public static final java.lang.String SCHEMA_CLASS_DEFS

  The constant for the BinderyObjectClassDefContext object.

  (SCHEMA_CLASS_DEF = "com.novell.service.bindery.BinderySchemaClassDefContext")

### BINDERY_PROPERTY

    public static final java.lang.String BINDERY_PROPERTY

  The constant for the BinderyPropertyAttrVal object.

  (BINDERY_PROPERTY = "com.novell.service.bindery.BinderyPropertyAttrVal")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD